## FmPlacesView

FmPlacesView

## Synopsis

    #define             FM_PLACES_VIEW_TYPE
    struct              FmPlacesView;
    struct              FmPlacesViewClass;
    void                fm_places_chdir                     (FmPlacesView *pv,
                                                             FmPath *path);
    GtkWidget *         fm_places_view_new                  (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----FmPlacesView

## Implemented Interfaces

FmPlacesView implements AtkImplementorIface and GtkBuildable.

## Signals

      "chdir"                                          : Run Last

## Description

## Details

### FM_PLACES_VIEW_TYPE

    #define FM_PLACES_VIEW_TYPE             (fm_places_view_get_type())

### struct FmPlacesView

    struct FmPlacesView;

### struct FmPlacesViewClass

    struct FmPlacesViewClass {
        GtkTreeViewClass parent_class;
        void (*chdir)(FmPlacesView* view, guint button, FmPath* path);
    };

### fm_places_chdir ()

    void                fm_places_chdir                     (FmPlacesView *pv,
                                                             FmPath *path);

### fm_places_view_new ()

    GtkWidget *         fm_places_view_new                  (void);

## Signal Details

### The `"chdir"` signal

    void                user_function                      (FmPlacesView *fmplacesview,
                                                            guint         arg1,
                                                            gpointer      arg2,
                                                            gpointer      user_data)         : Run Last